package com.myoa.engineering.crawl.shopping.configuration.feign;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.apache.http.HttpHeaders;

public class FakeUserAgentInterceptor implements RequestInterceptor {

    private static final String USER_AGENT_VALUE = "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36";

    @Override
    public void apply(RequestTemplate template) {
        template.header(HttpHeaders.USER_AGENT, USER_AGENT_VALUE);
        template.header(HttpHeaders.ACCEPT, "text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8");
        template.header(HttpHeaders.ACCEPT_LANGUAGE, "ko-KR,ko;q=0.9,en-US;q=0.8,en;q=0.7");
        template.header(HttpHeaders.USER_AGENT, USER_AGENT_VALUE);
        template.header(HttpHeaders.USER_AGENT, USER_AGENT_VALUE);
    }
}
