package com.myoa.engineering.crawl.shopping.service.slack;

import com.slack.api.methods.request.chat.ChatPostMessageRequest;
import com.slack.api.methods.response.chat.ChatPostMessageResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Service;

@Slf4j
@Profile("local")
@Service
public class LocalUserNotifyService implements UserNotifyService {

    @Override
    public ChatPostMessageResponse notify(ChatPostMessageRequest request) {
        log.info("Request: {}", request);
        return new ChatPostMessageResponse();
    }

}
