package com.myoa.engineering.crawl.shopping.crawlhandler.parser;

import com.myoa.engineering.crawl.shopping.domain.entity.v2.Article;
import com.myoa.engineering.crawl.shopping.util.TestDataUtils;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.List;

class FmkoreaArticleParserTest {

    private FmkoreaArticleParser sut;

    @BeforeEach
    void setUp() {
        sut = new FmkoreaArticleParser();
    }

    @Test
    void parse() {
        // given
        String boardHtml = TestDataUtils.fileToString("testdata/fmkorea/file1.html");

        // when
        List<Article> actual = sut.parse(boardHtml);

        // then
        Assertions.assertEquals(20, actual.size());
    }
}