package com.myoa.engineering.crawl.shopping.controller;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

class SlackEventSubscriptionAPIControllerTest {

    @Test
    void test_handleAddSubscription_1() {
        // given
        String sut = "/쇼핑 키워드 추가 키워드1";

        // when
        String actual = sut.replaceFirst("/.+? ", "");

        // then
        Assertions.assertEquals("키워드 추가 키워드1", actual);
    }

    @Test
    void test_handleAddSubscription_2() {
        // given
        String sut = "키워드 추가 키워드 1입니 다";

        // when
        String[] actual = sut.split("\\s+", 2);

        // then
        Assertions.assertEquals(2, actual.length);
        Assertions.assertEquals("키워드", actual[0]);
        Assertions.assertEquals("추가 키워드 1입니 다", actual[1]);
    }
}
